# Frequently Asked Questions (FAQ)

## Where should should I begin in my setup?

**In config.yml:** Make sure `darkzone-world-name` is what the darkzone world is called (case-sensitive)

**In darkzone-mobs.yml:** Make sure `enabled` is set to true

The below is the center point where the mobs will spawn `spawn-x` `spawn-y` `spawn-z`

`bound-radius` is the area from the center point where they can spawn (bigger the radius, the bigger the spawn area)

`bound-to-area` if true means they will stay in the bound area (unless chasing someone)

How do I add custom modal support to Shop Items?

## How do I add custom modal support to Shop Items?

Add the field \`customModalData\` in the shop config and set the number accordingly.&#x20;

## What are the PlaceholderAPI placeholders?

```
%manticdarkzone_killed% - RAW e.g. 1234
%manticdarkzone_killed_formatted% - COMMA e.g. 1,234
%manticdarkzone_killed_formatted_short% - SHORT e.g. 1.23k
```

## What are the permissions?

```
manticdarkzone.bypass | Bypass restrictions
```

## How can I make the item sell-able in ShopGUIPlus?

According to their [documentation](https://docs.brcdev.net/#/item-meta?id=nbt-tags) you can add nbt checks to items, like this:

```yaml
      nbt:
        1: 
          type: STRING
          key: manticdarkzone
          value: rainbow_orb
```

The 'key' will always be 'manticdarkzone', but the 'value' is whatever you put as your item id in the darkzone mobs configuration file. \
\
Below is a full example of our Rainbow Item which is buyable and sellable in ShopGUIPlus:

```yaml
    18:
      type: item
      item:
        material: PLAYER_HEAD
        quantity: 1
        skin: 'eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvOTNmOWVlZGEzYmEyM2ZlMTQyM2M0MDM2ZTdkZDBhNzQ0NjFkZmY5NmJhZGM1YjJmMmI5ZmFhN2NjMTZmMzgyZiJ9fX0='
        name: '&e&lR&6&lA&c&lI&d&lN&5&lB&9&lO&3&lW &b&lO&a&lR&e&lB'
      buyPrice: 100.01
      sellPrice: 50.02
      slot: 32
      nbt:
        1: 
          type: STRING
          key: manticdarkzone
          value: rainbow_orb
```

**Important:** Make sure your ShopGUIPlus is up-to-date for this to work!


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mantic.dev/manticdarkzone/frequently-asked-questions-faq.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
